unit LotkyVolter;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Edit1: TEdit;
    Button1: TButton;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
    a,b,c,d: real;
    g1: TCanvas;

implementation

{$R *.dfm}

{Defition of functions F, G}
Function F(t,x,y:Double): Double;
Begin

End;


{Riesenie  systemu od x to x+h pomocou Runge-Kutta}
Procedure RKS4(t,x,y,h:Double; var t1,x1,y1:Double);
Var c1,c2,c3,c4,d1,d2,d3,d4,h2: Double;

Begin
      c1:=F(t,x,y);           d1:=G(t,x,y);
      h2:=h/2.0;
      c2:=F(t+h2,x+h2*c1,y+h2*d1);     d2:=G(t+h2,x+h2*c1,y+h2*d1);
      c3:=F(t+h2,x+h2*c2,y+h2*d2);     d3:=G(t+h2,x+h2*c2,y+h2*d2);
      c4:=F(t+h,x+h*c3,y+h*d3);        d4:=G(t+h,x+h*c3,y+h*d3);
      t1:=t+h;

      x1:=x+h*(c1+2.0*c2+2.0*c3+c4)/6.0;
      y1:=y+h*(d1+2.0*d2+2.0*d3+d4)/6.0

End;


procedure TForm1.Button1Click(Sender: TObject);
Var   T,X,Y: Array[0..1000] of double;
      tl,t0,h: real;
      i,k,kl,l: Integer;
begin
  t0:=0;       {starting x}
  tl:=2;       {ending x}
  h:=StrToFloat(Edit1.Text);   {length of step}
  kl:=round((tl-t0)/h)+1;      {integration step}

  {starting values}


  {integration loop}


  {write header}
  Memo1.Lines.Add('     T     X estimated    Y estimated ');
  Memo1.Lines.Add(' -------------------------------------');
  {write kl+1 result lines}
  for k:=0 to kl do
      Memo1.Lines.Add(FloatToStr(T[k])+' : '+FloatToStr(X[k])+' : '+FloatToStr(Y[k]));
  Memo1.Lines.Add(' -------------------------------------');

  {Graf results}
  { Graf(g1,0,15,0,400,10,10);
    PopisOsi(g1,'x [m]','y [ m ]');
    PolozPero(g1,0,y[0]);
    for i:= 1 to kl do
     Kresli(g1,X[i],Y[i]);

    PolozPero(g1,0,z[0]);
    for i:= 1 to kl do
     Kresli(g1,X[i],Z[i]);end;
  }

end;

end.
